Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws
Interface Description

All Superinterfaces:
  Capability, Initialization, InitializationParameters, ManageabilityCapability, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

All Known Implementing Classes:
  SimpleDescription

public interface Description
extends ManageabilityCapability

This interface represents the WSDM Description capability. It provides convenience methods for the Description properties (Description defines no operations of its own).

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName[]` | `PROPERTIES`

Method Summary
`java.lang.String[]` | `getCaption()`
`java.lang.String[]` | `getDescription()`
`java.lang.String` | `getVersion()`
`void` | `setCaption(java.lang.String[] captions)`
`void` | `setDescription(java.lang.String[] descriptions)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Field Detail

### PROPERTIES

    public static final QName[] PROPERTIES

Method Detail

### getCaption

    public java.lang.String[] getCaption()
                                  throws BaseFault

  Throws:
    `BaseFault`

### getDescription

    public java.lang.String[] getDescription()
                                      throws BaseFault

  Throws:
    `BaseFault`

### getVersion

    public java.lang.String getVersion()
                                throws BaseFault

  Throws:
    `BaseFault`

### setCaption

    public void setCaption(java.lang.String[] captions)
                    throws BaseFault

  Throws:
    `BaseFault`

### setDescription

    public void setDescription(java.lang.String[] descriptions)
                        throws BaseFault

  Throws:
    `BaseFault`

### setVersion

    public void setVersion(java.lang.String version)
                    throws BaseFault

  Throws:
    `BaseFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD